--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: []

comment: 
- !ruby/struct:SM::Flow::P 
  body: Dataset methods shared by datasets that use MySQL databases.
constants: 
- !ruby/object:RI::Constant 
  comment: 
  name: BOOL_TRUE
  value: "'1'.freeze"
- !ruby/object:RI::Constant 
  comment: 
  name: BOOL_FALSE
  value: "'0'.freeze"
- !ruby/object:RI::Constant 
  comment: 
  name: COMMA_SEPARATOR
  value: "', '.freeze"
- !ruby/object:RI::Constant 
  comment: 
  name: DELETE_CLAUSE_METHODS
  value: Dataset.clause_methods(:delete, %w'from where order limit')
- !ruby/object:RI::Constant 
  comment: 
  name: INSERT_CLAUSE_METHODS
  value: Dataset.clause_methods(:insert, %w'ignore into columns values on_duplicate_key_update')
- !ruby/object:RI::Constant 
  comment: 
  name: SELECT_CLAUSE_METHODS
  value: Dataset.clause_methods(:select, %w'distinct columns from join where group having compounds order limit')
- !ruby/object:RI::Constant 
  comment: 
  name: UPDATE_CLAUSE_METHODS
  value: Dataset.clause_methods(:update, %w'table set where order limit')
full_name: Sequel::MySQL::DatasetMethods
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: _insert_sql
- !ruby/object:RI::MethodSummary 
  name: complex_expression_sql
- !ruby/object:RI::MethodSummary 
  name: full_text_search
- !ruby/object:RI::MethodSummary 
  name: full_text_sql
- !ruby/object:RI::MethodSummary 
  name: having
- !ruby/object:RI::MethodSummary 
  name: insert_ignore
- !ruby/object:RI::MethodSummary 
  name: join_table
- !ruby/object:RI::MethodSummary 
  name: join_type_sql
- !ruby/object:RI::MethodSummary 
  name: multi_insert_sql
- !ruby/object:RI::MethodSummary 
  name: on_duplicate_key_update
- !ruby/object:RI::MethodSummary 
  name: quoted_identifier
- !ruby/object:RI::MethodSummary 
  name: replace_sql
- !ruby/object:RI::MethodSummary 
  name: supports_distinct_on?
- !ruby/object:RI::MethodSummary 
  name: supports_intersect_except?
- !ruby/object:RI::MethodSummary 
  name: supports_timestamp_usecs?
name: DatasetMethods
superclass: 
